﻿import request from '/@/utils/request';
enum Api {
	AddWcsDevice = '/api/wcsDevice/add',
	DeleteWcsDevice = '/api/wcsDevice/delete',
	UpdateWcsDevice = '/api/wcsDevice/update',
	PageWcsDevice = '/api/wcsDevice/page',
	DetailWcsDevice = '/api/wcsDevice/detail',
	GetWcsPlcPlcIdDropdown = '/api/wcsDevice/WcsPlcPlcIdDropdown',
	GeneratePos = '/api/wcsDevice/GeneratePos',
	ListWcsDevice = '/api/wcsDevice/list',
	WriteValue = '/api/wcsdevice/writeValue',

	GetWcsPackPlcList = '/api/wcsDevice/WcsPackPlcList',
	GetWcsPackStationPlcList = '/api/wcsDevice/WcsPackStationPlcList',
	GetWcsStackingRobotList = '/api/wcsDevice/WcsStackingRobotList',
	BindTaskForPLC = '/api/WcsCheckTask/BindTaskForPLC',
	CloseTaskForPLC = '/api/WcsCheckTask/CloseTaskForPLC',
	UnBindTaskForPLC = '/api/WcsCheckTask/UnBindTaskForPLC',

	GetLocationInfo = '/api/wcsDevice/GetLocationInfo',
	WriteLocationInfo = '/api/wcsDevice/WriteLocationInfo',
	WriteInfo = '/api/wcsDevice/WriteInfo',
	WriteTaskInfo = '/api/wcsDevice/WriteTaskInfo',
	WriteStartStop = '/api/wcsDevice/WriteStartStop',
}
// 增加设备信息
export const WriteLocationInfo = (params?: any) =>
	request({
		url: Api.WriteLocationInfo,
		method: 'post',
		data: params,
	});
// 增加设备信息
export const GetLocationInfo = (params?: any) =>
	request({
		url: Api.GetLocationInfo,
		method: 'post',
		data: params,
	});
// 增加设备信息
export const WriteInfo = (params?: any) =>
	request({
		url: Api.WriteInfo,
		method: 'post',
		data: params,
	});
// 增加设备信息
export const WriteTaskInfo = (params?: any) =>
	request({
		url: Api.WriteTaskInfo,
		method: 'post',
		data: params,
	});
// 增加设备信息
export const WriteStartStop = (params?: any) =>
	request({
		url: Api.WriteStartStop,
		method: 'post',
		data: params,
	});

// 增加设备信息
export const addWcsDevice = (params?: any) =>
	request({
		url: Api.AddWcsDevice,
		method: 'post',
		data: params,
	});

// 删除设备信息
export const deleteWcsDevice = (params?: any) =>
	request({
		url: Api.DeleteWcsDevice,
		method: 'post',
		data: params,
	});

// 编辑设备信息
export const updateWcsDevice = (params?: any) =>
	request({
		url: Api.UpdateWcsDevice,
		method: 'post',
		data: params,
	});

// 分页查询设备信息
export const pageWcsDevice = (params?: any) =>
	request({
		url: Api.PageWcsDevice,
		method: 'post',
		data: params,
	});

// 详情设备信息
export const detailWcsDevice = (id: any) =>
	request({
		url: Api.DetailWcsDevice,
		method: 'get',
		data: { id },
	});

export const getWcsPlcPlcIdDropdown = () =>
	request({
		url: Api.GetWcsPlcPlcIdDropdown,
		method: 'get'
	});

export const generatePos = (params?: any) =>
	request({
		url: Api.GeneratePos,
		method: 'post',
		data: params
	});

export const listWcsDevice = () =>
	request({
		url: Api.ListWcsDevice,
		method: 'get'
	});


export const GetWcsPackPlcList = () =>
	request({
		url: Api.GetWcsPackPlcList,
		method: 'get'
	});

export const GetWcsPackStationPlcList = (params?: any) =>
	request({
		url: Api.GetWcsPackStationPlcList,
		method: 'get',
		data: params
	});
export const GetWcsStackingRobotList = (params?: any) =>
	request({
		url: Api.GetWcsStackingRobotList,
		method: 'get',
		data: params
	});
// 手动绑定任务到PLC
export const BindTaskForPLC = (params?: any) =>
	request({
		url: Api.BindTaskForPLC,
		method: 'post',
		data: params,
	});
//任务结批
export const CloseTaskForPLC = (params?: any) =>
	request({
		url: Api.CloseTaskForPLC,
		method: 'post',
		data: params,
	});
//任务解绑
export const UnBindTaskForPLC = (params?: any) =>
	request({
		url: Api.UnBindTaskForPLC,
		method: 'post',
		data: params,
	});
//写入值
export const writeValue = (params?: any) =>
	request({
		url: Api.WriteValue,
		method: 'post',
		data: params,
	});